﻿namespace PvrSharp.Helpers
{
	internal static class BitsHelper
	{
		public const float Factor4 = 255f / 16f;
		public const float Factor5 = 255f / 32f;
		public const float Factor6 = 255f / 64f;

		public const int And3 = 1 + (1 << 1) + (1 << 2);
		public const int And4 = 1 + (1 << 1) + (1 << 2) + (1 << 3);
		public const int And5 = 1 + (1 << 1) + (1 << 2) + (1 << 3) + (1 << 4);
		public const int And6 = 1 + (1 << 1) + (1 << 2) + (1 << 3) + (1 << 4) + (1 << 5);

		public static int GetTwoBytes(byte[] source, ref int index)
		{
			return source[index++] + (source[index++] << 8);
		}
	}
}
