﻿using System;
using System.IO;

namespace PvrSharp
{
	public class PvrMetaData
	{
		private PvrMetaData()
		{
		}

		internal static PvrMetaData FromStream(BinaryReader reader)
		{
			var result = new PvrMetaData();
			string fourCc = new string(reader.ReadChars(4));
			uint key = reader.ReadUInt32();
			uint dataSize = reader.ReadUInt32();
			long positionBeforeMetaDataRead = reader.BaseStream.Position;
			if (fourCc == "PVR3")
			{
				if (key == 0)
				{
					uint entries = dataSize / 16;
					for (int index = 0; index < entries; index++)
					{
						uint atlasImageX = reader.ReadUInt32();
						uint atlasImageY = reader.ReadUInt32();
						uint atlasImageWidth = reader.ReadUInt32();
						uint atlasImageHeight = reader.ReadUInt32();
					}
				}
				//else if (key == 1)
				//{
				//}
				//else if (key == 2)
				//{
				//}
				//else if (key == 3)
				//{
				//}
				//else if (key == 4)
				//{
				//}
			}

			int unreadSize = (int)dataSize - (int)(reader.BaseStream.Position - positionBeforeMetaDataRead);
			if (unreadSize != 0)
				reader.BaseStream.Seek(unreadSize, SeekOrigin.Current);

			return result;
		}
	}
}
